api.version= *version-date*
# ===================================================================
# APPLICATION PROPERTIES
# ===================================================================
spring.main.banner-mode=off
server.port=7075
spring.application.name=dispatch-service
spring.cloud.discovery.enabled=true
# ===================================================================
# LOG PROPERTIES
# ===================================================================
logging.file.name=/var/log/dispatch-service.qa.log
# ===================================================================
# GENERAL PROPERTIES
# ===================================================================
logging.pattern.level='[%X{data}%thread] [%X{X-B3-TraceId:-}] - %5p'
logging.pattern.console=%p, %d{'yyyy-MM-dd HH:mm:ss,SSS',America/Mexico_City}, %C{1}:%M:%L, %X{mdc.uuid}, %m%n%ex{3}
# LOG LEVELS
#logging.level.com.rinku.csmg.customer.management=DEBUG
#logging.level.org.springframework.data=DEBUG
#logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE

# ===================================================================
# DATABASE CONNECTION.
# ===================================================================
#POSTGRESQL
spring.jpa.properties.hibernate.default_schema=cco
spring.datasource.url=jdbc:postgresql://${HOST-DB:172.18.200.16}:${PORT-DB:5432}/nvo_089_qa?ApplicationName=${spring.application.name}
spring.datasource.username=usr_app_nvo_089_qa
spring.datasource.password=dH1T*p7u_ztU
spring.datasource.driver-class-name=org.postgresql.Driver
spring.datasource.hikari.maximum-pool-size= 5
# ===================================================================
# JPA CONFIGURATION.
# ===================================================================
spring.jpa.show-sql=true
spring.jpa.hibernate.ddl-auto=validate
spring.jpa.hibernate.naming-strategy=org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.database-platform=org.hibernate.dialect.PostgreSQL9Dialect
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

#to show sql
spring.jpa.properties.hibernate.show_sql=true

#printing parameter values in order
#logging.level.org.hibernate.type.descriptor.sql=trace

#################################################################
###################   MQ         ################################
#################################################################
spring.rabbitmq.host=${HOST-MQ:127.0.0.1}
spring.rabbitmq.port=${PORT-MQ:5672}

spring.rabbitmq.username=admin
spring.rabbitmq.password=admin
spring.rabbitmq.virtual-host=/cco_lite
spring.rabbitmq.dynamic=true
feign.hystrix.enabled=true


feign.emergencies-service.name=incidents-service
feign.emergencies-service.url=172.18.200.5/api/emergencies/emergencies